WordPress.org

Support

Support » Plugins and Hacks » Advanced Access Manager » [Resolved] [Plugin: Advanced Access Manager] v1.5.8 Serious Fatal Error

[Resolved] [Plugin: Advanced Access Manager] v1.5.8 Serious Fatal Error

  • v1.5.8 was working until I tried to add the delete_capability to [aam] in Config Press.

    After that, both Frontend and Backend were completely inaccessible with:

    Fatal error: Call to undefined function parse_ini_string() in ~/wp-content/plugins/advanced-access-manager/library/Zend/Config/Ini_Str.php on line 173

    I reverted to v1.4 to recover things and then upgraded again to clean v1.5.8 but error immediately returned even though I had deleted all files (maybe it is in the database?).

    I am using v1.4 again but it doesn’t have a Config Press tab so I can’t rectify it.

    I read support from v1.5.8 link but going directly to http://www.whimba.org/support, no support is showing.

    http://wordpress.org/extend/plugins/advanced-access-manager/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Okay, I deleted the wp_access_access_config record from wp_options so config press is empty and upgraded again and everything is good.

    But there is a Config Press parsing error.

    Plugin Author Vasyltech

    @vasyl_m

    Hi mystifier,
    This is because you have PHP version less then 5.3.
    I’ll fix this issue in next release.

    Thanks for all your feedbacks.
    Regards,
    Vasyl

    I just did a phpinfo() on the host and I can confirm that PHP is v5.2.17

    I am not sure if they will upgrade it if I ask, it is just a hosting package.

    Plugin Author Vasyltech

    @vasyl_m

    It’s ok. I will rewrite a part of code to make it compatible with PHP 5.2

    Plugin Author Vasyltech

    @vasyl_m

    Hi mystifier,
    I rewrote this part and release with 1.5.8.1 (beta).

    Regards,
    Vasyl

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] [Plugin: Advanced Access Manager] v1.5.8 Serious Fatal Error’ is closed to new replies.
Skip to toolbar